#ifndef _Tmymaterialhelper_H_
#define _Tmymaterialhelper_H_

enum
{
	//MAT TYPE
	MATERIAL	= 1001,
	MAT_TYPE	= 1002,
	DIFFUSE		= 1003,
	PHONG		= 1004,
	SPECULAR	= 1005,
	GLOSSY_TRANSPARENT	= 1006,
	DIFFUSE_TRANS	= 1023,
	BLEND_MATERIAL	= 1030,

	ID_DIFFUSE		= 1007,
	ID_PHONG		= 1008,
	ID_SPECULAR		= 1009,
	ID_GLOSSY		= 1010,
	ID_DIFFUSETRANS	= 1011,
	ID_BLEND		= 1012,

	//DIFFUSE
	DIFFUSE_COLOR	= 1013,
	DIFFUSE_GAMMA	= 1014,

	//PHONG
	PHONG_COLOR		= 1015,
	PHONG_GAMMA		= 1095,
	PHONG_IOR		= 1016,
	PHONG_EXPONENT	= 1017,

	USE_NK			= 1018,
	NK_NAME			= 1019,

	//SPECULAR
	SPECULAR_TRANSP	= 1020,

	//GLOSSY TRANSPARENT
	GLOSSY_TRANSP	= 1021,
	GLOSSY_EXPONENT	= 1022,

	//DIFFUSE TRANSMITTER
	TRANS_COLOR		= 1024,

	//BLEND MTERIAL
	MATERIAL1		= 1025,
	MATERIAL2		= 1026,
	BLEND_MAP		= 1027,
	BLEND_FACTOR	= 1028,
	ALPHA_MAP		= 1029,

	//MEDIUM TYPE
	ID_INTERNALMEDIUM	= 1031,
	MEDIUM_TYPE			= 1032,
	BASIC				= 1033,
	DERMIS				= 1034,
	EPIDERMIS			= 1035,

	ID_BASIC		= 1036,
	ID_DERMIS		= 1037,
	ID_EPIDERMIS	= 1038,

	//MEDIUM
	PRECEDENCE		= 1039,
	IOR				= 1040,
	CAUCHY_B		= 1041,

	//absorption
	ABSORPTION_SPECTRUMTYPE				= 1042,
	ABSORPTION_SPECTRUMTYPE_PEAK		= 1043,
	ABSORPTION_SPECTRUMTYPE_RGB			= 1044,
	ABSORPTION_SPECTRUMTYPE_BLACKBODY	= 1045,
	ABSORPTION_SPECTRUMTYPE_UNIFORM		= 1046,

	ABSORPTION_SPECTRUM_BLACKBODY		= 1047,
	ABSORPTION_SPECTRUM_RGB				= 1048,
	ABSORPTION_SPECTRUM_UNIFORM			= 1049,
	ABSORPTION_SPECTRUM_PEAK			= 1050,

	ABSORPTION_SPECTRUM_BLACKBODY_TEMP	= 1051,
	ABSORPTION_SPECTRUM_BLACKBODY_GAIN	= 1052,
	ABSORPTION_SPECTRUM_UNIFORM_VALUE	= 1053,
	ABSORPTION_SPECTRUM_RGB_COLOR		= 1054,
	ABSORPTION_SPECTRUM_RGB_GAMMA		= 1055,

	//scattering
	SCATTERING_SPECTRUMTYPE				= 1056,
	SCATTERING_SPECTRUMTYPE_PEAK		= 1057,
	SCATTERING_SPECTRUMTYPE_RGB			= 1058,
	SCATTERING_SPECTRUMTYPE_BLACKBODY	= 1059,
	SCATTERING_SPECTRUMTYPE_UNIFORM		= 1060,

	SCATTERING_SPECTRUM_BLACKBODY		= 1061,
	SCATTERING_SPECTRUM_RGB				= 1062,
	SCATTERING_SPECTRUM_UNIFORM			= 1063,
	SCATTERING_SPECTRUM_PEAK			= 1064,

	SCATTERING_SPECTRUM_BLACKBODY_TEMP	= 1065,
	SCATTERING_SPECTRUM_BLACKBODY_GAIN	= 1066,
	SCATTERING_SPECTRUM_UNIFORM_VALUE	= 1067,
	SCATTERING_SPECTRUM_RGB_COLOR		= 1068,
	SCATTERING_SPECTRUM_RGB_GAMMA		= 1069,

	//phase function
	PHASE_FUNCTION						= 1070,
	PHASE_FUNCTION_UNIFORM				= 1071,
	PHASE_FUNCTION_GREENSTEIN			= 1072,

	ID_PHASE_GREENSTEIN					= 1073,

	PHASE_FUNCTION_GREENSTEIN_VALUE		= 1074,

	//DERMIS
	HEMOGLOBIN_FRACTION	= 1075,

	//EPIDERMIS
	MELANIN_FRACTION	= 1076,
	MELANIN_TYPE_BLEND	= 1077,

	//SSS
	SSS_SWITCH		= 1078,

	ID_SSS			= 1079,

	//TEX BUMPMAP EXPONENTMAP
	TEXTURE_EXP		= 1080,

	BUMPMAP_EXP		= 1081,
	BUMPMAP_A		= 1082,
	BUMPMAP_B		= 1087,
	BUMPMAP_C		= 1088,

	EXPONENTMAP_EXP	= 1089,
	EXPONENTMAP_A	= 1090,
	EXPONENTMAP_B	= 1091,
	EXPONENTMAP_C	= 1092,

	ID_EXPONENTMAP_ABC	= 1093,
	ID_BUMPMAP_ABC		= 1094,

	// IMPORT/EXPORT
	EXPORT_IGM		= 1083,
	IMPORT_IGM		= 1084,

	// APPLIE CHANGES / PREVIEW
	BTN_INDIGOMAT_PREVIEW	= 1085,
	APPLY_TO_MAT		= 1086,
	INDIGOMAT_PREVIEW	= 1096,
};

#endif



